using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class UserControl_Doctors : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
        ddlService.Items.Add("Select Services");
        ddlService.Items.Add("Add Doctor");
        ddlService.Items.Add("Update Doctor");
        ddlService.Items.Add("Delete Doctor");        

        FillDoctors();
        }
        btnAdd.Enabled = false;
        btnDelete.Enabled = false;
        btnUpdate.Enabled = false;
    }

    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        
    }

    private void FillDoctors()
    {
        ddlDoctor.Items.Clear();

        string selectSQL = "SELECT FirstName, LastName, DoctorID FROM Doctor";

        SqlConnection con = new SqlConnection(
            "Data Source=TH01;Initial Catalog=PatientInformationDB;Integrated Security=True");
        SqlCommand cmd = new SqlCommand(selectSQL, con);
        SqlDataReader reader;

        try
        {
            con.Open();
            reader = cmd.ExecuteReader();

            while (reader.Read())
            {
                ListItem newItem = new ListItem();
                newItem.Text = reader["FirstName"] + ", " + reader["LastName"];
                newItem.Value = reader["DoctorID"].ToString();
                ddlDoctor.Items.Add(newItem);
            }
            reader.Close();
        }
        catch (Exception err)
        {
            lblMessage.Text = "Error reading list of doctors. ";
            lblMessage.Text += err.Message;
        }
        finally
        {
            con.Close();
        }
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        
    }
    protected void ddlService_SelectedIndexChanged(object sender, EventArgs e)
    {
        
            if (ddlService.SelectedIndex == 1)
            {
                ControlAdd();
            }
            if (ddlService.SelectedIndex == 2)
            {
                ControlUpdate();

            }
            if (ddlService.SelectedIndex == 3)
            {                
            }
        }

    private void ControlUpdate()
    {
        btnUpdate.Enabled = true;
        btnDelete.Enabled = false;
        btnAdd.Enabled = false;
        ddlDoctor.Enabled = true;
    }

    private void ControlAdd()
    {
        btnAdd.Enabled = true;
        btnUpdate.Enabled = false;
        btnDelete.Enabled = false;
        ddlDoctor.Enabled = false;
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {

    }
}

