using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class UserControl_PatientInOut : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            AssignPatient();
            FillDoctors();
        }
        txtRef.Enabled = false;
        txtNextOfKin.Enabled = false;
        txtDOB.Enabled = false;

        //
        txtAdmission.Enabled = false;
        txtAdmission.Text = DateTime.Now.ToShortDateString();
    }


    protected void btnUpdate_Click(object sender, EventArgs e)
    {

    }
    protected void btnAdmission_Click(object sender, EventArgs e)
    {

    }
    protected void btnRegister_Click(object sender, EventArgs e)
    {
        Server.Transfer("PatientRegistration.aspx");
    }
    private void AssignPatient()
    {
        ddlPatient.Items.Clear();

        string selectSQL = "SELECT FirstName, LastName, PatientID FROM Patient";

        SqlConnection con = new SqlConnection(
            "Data Source=TH01;Initial Catalog=PatientInformationDB;Integrated Security=True");
        SqlCommand cmd = new SqlCommand(selectSQL, con);
        SqlDataReader reader;

        try
        {
            con.Open();
            reader = cmd.ExecuteReader();

            while (reader.Read())
            {
                ListItem newItem = new ListItem();
                newItem.Text = reader["FirstName"] + ", " + reader["LastName"];
                newItem.Value = reader["PatientID"].ToString();
                ddlPatient.Items.Add(newItem);
            }
            reader.Close();
        }
        catch (Exception err)
        {
            lblMessage.Text = "Error reading list of names. ";
            lblMessage.Text += err.Message;
        }
        finally
        {
            con.Close();
        }
    }
    protected void ddlPatient_SelectedIndexChanged(object sender, EventArgs e)
    {
        string selectSQL;
        selectSQL = "SELECT * FROM Patient ";
        selectSQL += "WHERE PatientID ='" + ddlPatient.SelectedItem.Value + "'";
        SqlConnection con = new SqlConnection(
            "Data Source=TH01;Initial Catalog=PatientInformationDB;Integrated Security=True");
        SqlCommand cmd = new SqlCommand(selectSQL, con);
        SqlDataReader reader;


        try
        {
            con.Open();
            reader = cmd.ExecuteReader();
            reader.Read();

            // Fill the controls.
            
            txtDOB.Text = reader["DateOfBirth"].ToString();
            //txtRegDate.Text = reader["RegistrationDate"].ToString();
            txtNextOfKin.Text = reader["NextOfKin"].ToString();
            txtRef.Text = reader["PatientID"].ToString();

            reader.Close();
            lblMessage.Text = "";
        }
        catch (Exception err)
        {
            lblMessage.Text = "Error getting Patient. ";
            lblMessage.Text += err.Message;
        }
        finally
        {
            con.Close();
        }
    }
    private void FillDoctors()
    {
        ddlDoctor.Items.Clear();

        string selectSQL = "SELECT FirstName, LastName, DoctorID FROM Doctor";

        SqlConnection con = new SqlConnection(
            "Data Source=TH01;Initial Catalog=PatientInformationDB;Integrated Security=True");
        SqlCommand cmd = new SqlCommand(selectSQL, con);
        SqlDataReader reader;

        try
        {
            con.Open();
            reader = cmd.ExecuteReader();

            while (reader.Read())
            {
                ListItem newItem = new ListItem();
                newItem.Text = reader["FirstName"] + ", " + reader["LastName"];
                newItem.Value = reader["DoctorID"].ToString();
                ddlDoctor.Items.Add(newItem);
            }
            reader.Close();
        }
        catch (Exception err)
        {
            lblMessage.Text = "Error reading list of doctors. ";
            lblMessage.Text += err.Message;
        }
        finally
        {
            con.Close();
        }
    }
}
