using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Drawing;

public partial class UserControl_WebUserControlRegister : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ddlType.Items.Add("In Patient");
        ddlType.Items.Add("Out Patient");
        pnlError.Visible = false;
        txtRegDate.Text = DateTime.Now.ToShortDateString();
        txtRegDate.Enabled = false;
                
    }
    protected void btnRegister_Click(object sender, EventArgs e)
    {
        string insertSQL;
        insertSQL = "INSERT INTO Patient (";
        insertSQL += "FirstName, LastName, DateOfBirth, Address, ";
        insertSQL += "Town, PostCode, Phone, RegistrationDate, NextOfKin, PatientType) ";
        insertSQL += "VALUES (";
        insertSQL += "@FirstName, @LastName, @DateOfBirth, ";
        insertSQL += "@Address, @Town, @PostCode, @Phone, @RegistrationDate, @NextOfKin, @PatientType)";

        SqlConnection con = new SqlConnection(
            "Data Source=TH01;Initial Catalog=PatientInformationDB;Integrated Security=True");
        SqlCommand cmd = new SqlCommand(insertSQL, con);

        // Add the parameters.
        cmd.Parameters.AddWithValue("@FirstName", txtFName.Text);
        cmd.Parameters.AddWithValue("@LastName", txtLName.Text);
        cmd.Parameters.AddWithValue("@DateOfBirth", txtDOB.Text);
        cmd.Parameters.AddWithValue("@Address", txtAddress.Text);
        cmd.Parameters.AddWithValue("@Town", txtTown.Text);
        cmd.Parameters.AddWithValue("@PostCode", txtPCode.Text);
        cmd.Parameters.AddWithValue("@Phone", txtPhone.Text);
        cmd.Parameters.AddWithValue("@RegistrationDate", txtRegDate.Text);
        cmd.Parameters.AddWithValue("@NextOfKin", txtNextOfKin.Text);
        cmd.Parameters.AddWithValue("@PatientType", ddlType.SelectedItem.Text);

        // Try to open the database and execute the update.
        int added = 0;
        try
        {
            con.Open();
            added = cmd.ExecuteNonQuery();

            pnlError.Visible = true;
            imgResult.ImageUrl = "~/Images/ok.gif";
            lblMessage.ForeColor = Color.Blue;
            lblMessage.Text = added.ToString() + " records inserted.";
        }
        catch (Exception err)
        {
            pnlError.Visible = true;
            imgResult.ImageUrl = "~/Images/error.gif";
            lblMessage.ForeColor = Color.Red;
            lblMessage.Text = "Error inserting record. ";
            lblMessage.Text += err.Message;
        }
        finally
        {
            con.Close();
        }

        // If the insert succeeded, refresh the author list.
        if (added > 0)
        {
            //FillAuthorList();
        }
    }
}


   